Name:           mate-indicator-applet
Version:        1.18.0
Release:        %mkrel 1
Summary:        MATE indicator applet
Group:		Graphical desktop/Mate
License:        GPLv2+
URL:            http://www.mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/1.8/%{name}-%{version}.tar.xz
#--------------------------------------------
BuildRequires: mate-common
BuildRequires: mate-panel-devel
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}gtop2.0-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}indicator3-devel
BuildRequires: libxml2-utils
#--------------------------------------------
Requires:       mate-panel

%description
The indicator applet exposes Ayatana Indicators in the MATE Panel. Ayatana Indicators are an
initiative by Canonical to provide crisp and clean system and application status indication. They take 
the form of an icon and associated menu, displayed (usually) in the desktop panel. Existing indicators 
include the Message Menu, Battery Menu and Sound menu.


%prep
%setup -q

%build
export LDFLAGS="$LDFLAGS -lm"
%configure2_5x                             \
                --disable-static           \
                --disable-scrollkeeper     \
                --disable-schemas-compile  \
                --libexecdir=%{_libexecdir}/%{name}

%make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot} -name '*.la' -exec rm -rf {} ';'
find %{buildroot} -name '*.a' -exec rm -rf {} ';'
%find_lang %{name} --all-name

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
    /bin/touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :

fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_datadir}/dbus-1/services/org.mate.panel.applet.IndicatorApplet*.service
%{_datadir}/icons/hicolor/scalable/apps/mate-indicator-applet.svg
%{_datadir}/mate-panel/applets/org.ayatana.panel.IndicatorApplet.mate-panel-applet
%{_datadir}/mate-panel/applets/org.ayatana.panel.IndicatorAppletAppmenu.mate-panel-applet
%{_datadir}/mate-panel/applets/org.ayatana.panel.IndicatorAppletComplete.mate-panel-applet
%{_libexecdir}/mate-indicator-applet/mate-indicator-*

%clean
rm -rf  %{buildroot}

%changelog
* Sat May 13 2017 adrianomorselli <adrianomorselli> 1.18.0-1uplos2017
- update
